Page MenuHomePhabricator

Deploy ElectronPdfService Extension to testwikis and mediawikiwiki
Closed, ResolvedPublic

Description

The ElectronPdfService extension provides access to the Electron Service for browser based PDF rendering.

https://www.mediawiki.org/wiki/Extension:ElectronPdfService
Electron-PDFs

Current Schedule:

  • TBC (late 2016) - to testwikis and mediawikiwiki

Event Timeline

Addshore moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Nov 17 2016, 1:15 PM
Joe changed the task status from Open to Stalled.Nov 29 2016, 11:17 AM
Joe changed the status of subtask T150945: Deploy ElectronPdfService Extension to beta cluster from Open to Stalled.
Joe added a project: Operations.

Change 324487 had a related patch set uploaded (by Addshore):
Enable ElectronPdfService extension on test wikis & mediawikiwiki

https://gerrit.wikimedia.org/r/324487

fgiunchedi triaged this task as Normal priority.Dec 1 2016, 12:09 AM
Addshore changed the task status from Stalled to Open.Dec 1 2016, 8:10 PM

Change 324487 merged by jenkins-bot:
Enable ElectronPdfService extension on test wikis & mediawikiwiki

https://gerrit.wikimedia.org/r/324487

Mentioned in SAL (#wikimedia-operations) [2016-12-05T12:22:26Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: {{gerrit|324487}} T150944 Enable ElectronPdfService extension on test wikis & mediawikiwiki PT1 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2016-12-05T12:23:43Z] <addshore@tin> Synchronized wmf-config/CommonSettings.php: {{gerrit|324487}} T150944 Enable ElectronPdfService extension on test wikis & mediawikiwiki PT2 (duration: 00m 44s)

Change 325298 had a related patch set uploaded (by Addshore):
Disable ElectronPdfService on mw.org until messages are fixed.

https://gerrit.wikimedia.org/r/325298

Change 325298 merged by jenkins-bot:
Disable ElectronPdfService on mw.org until messages are fixed.

https://gerrit.wikimedia.org/r/325298

Mentioned in SAL (#wikimedia-operations) [2016-12-05T13:48:57Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: {{gerrit|325298}} T150944 Disable ElectronPdfService extension on mediawikiwiki until messages are fixed (duration: 00m 45s)

Addshore moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.

T152390 and T152424 are related

As the messages now seem to be appearing this can be rolled out to mw.org on monday.

Change 326420 had a related patch set uploaded (by Addshore):
Enable ElectronPdfService extension on mw.org

https://gerrit.wikimedia.org/r/326420

Change 326420 merged by jenkins-bot:
Enable ElectronPdfService extension on mw.org

https://gerrit.wikimedia.org/r/326420

Mentioned in SAL (#wikimedia-operations) [2016-12-12T14:28:10Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: {{gerrit|326420}} T150944 Enable ElectronPdfService extension on mw.org (duration: 00m 45s)

Addshore closed this task as Resolved.Dec 12 2016, 5:17 PM
Addshore moved this task from Back Burner 🏛️ to Closing ✔️ on the User-Addshore board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Dec 20 2016, 12:32 PM